from pathlib import Path
from xdg import BaseDirectory
import typing


class Dirs:
    def __init__(self):
        self.conf_dir = Path(BaseDirectory.xdg_config_home).joinpath("pomme")
        self.hooks_dirs: typing.Dict[str, Path] = dict()
        self.hooks_dirs["after"] = Path(
            BaseDirectory.xdg_config_home
        ).joinpath("pomme/hooks/after")

        if not self.conf_dir.is_dir():
            self.conf_dir.mkdir(parents=True)
            print("Configuration directory created: {}".format(self.conf_dir))
        for name, path in self.hooks_dirs.items():
            if not path.is_dir():
                path.mkdir(parents=True)
                print("Hooks directory created {}".format(path))
